QGIS Application - Bug report #12582
buildvrt causes QGIS to crash
2015-04-15 09:18 AM - Paolo Cavallini

Status: Rejected

Priority: Normal

Assignee:

Category: Processing/GDAL

Affected QGIS version:2.8.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 20707
Description

Create a vrt in a project with many files, then zoom results in a crash. No crash when creating on a fresh project. Verified in Debian Sid,
Ubuntu, and various Windows.

History

#1 - 2016-03-25 07:15 AM - Alexander Bruy

If VRT file created from command line and then opened in QGIS and zoomed does it crash QGIS too? Looks like issue not with GDALTools but with

handling huge VRT files.

#2 - 2016-03-25 07:57 AM - Paolo Cavallini

It is not the size of VRT as much as the number of files in the project. It may well be due to concurrency in read operations.

Difficult to reproduce because of this.

#3 - 2017-01-02 05:55 AM - Giovanni Manghi

- Category changed from GDAL Tools to Processing/GDAL

#4 - 2017-01-24 03:01 AM - Alexander Bruy

- Resolution set to invalid

- Status changed from Open to Rejected

For me it looks like not GDALTools/Processing issue, as tool produced correct output. Crashes when zooming related to QGIS core, and another ticket
should be opened if this still true on master.
